Skip to main content
cPanel Technical Support has been heavily impacted by hurricane Beryl and our ability to respond to tickets has been hindered as a result. We appreciate your understanding and patience as we address these delays.

MySQL / PHPMyAdmin Database Error Exporting & Importing

Comments

7 comments

  • cPanelMichael
    Hello :) It's normal to see a different PHP version in phpMyAdmin because it uses it's own internal PHP that is separate from the PHP used with Apache. As for the error message, could you let us know how large the database is? It's sometimes preferred to use the command line for larger databases. Thank you.
    1
  • jerdoggmckoy
    Thanks for the help. The database in question is only 747kb. Any other things I could try looking at? Again, I appreciate the help!
    0
  • cPanelMichael
    Have you tried importing a different database to rule out any issues with your specific tables? Thank you.
    0
  • monarobase
    I noticed the same thing a short time ago. I think its something to do with phpymyadmin adding extra lines as although there is the error all the data is imported correctly. Next time it happens I'll examine the imported file a bit closer
    0
  • monarobase
    I've just openend an export of a database with textmate and it shows the file contains something after the last line that won't be pasted here, seems like invisible characters at the end of the file that aren't compatible during the import. In vim the filal lines are : /*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */; /*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */; /*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */; ^C^@^@^@^@^@^@^@^@^@
    The line causing the problem is : ^C^@^@^@^@^@^@^@^@^@
    0
  • cPanelMichael
    Could you let us know which version of cPanel you have installed? The issue you described should have been resolved in phpMyAdmin 4.0.8, which is available in cPanel version 11.40. Thank you.
    0
  • monarobase
    11.38 :) It's not an important issue as no customers have had problems so far. We will upgrade to 11.40 when it goes to the stable branch.
    0

Please sign in to leave a comment.